> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/storefront-widget-details/sso-single-sign-on-for-websites.md).

# SSO (Single-Sign-On) for websites

Single Sign-On (SSO) allows customer to login to Ecwid store if they are already logged in to your website. If a merchant already has a customer base on their website, customers may find it rather inconvenient that they have to log into the website and the store separately.

Ecwid’s Single Sign-On feature allows those customers to sign into a merchant’s website and use the entire Ecwid store without having to log in again.

#### Access scopes

Requires the following access scopes: `customize_storefront` and `create_customers`

### How it works

There are two situations that can happen: customer is logged into your website or not:

#### Logged in user

When user is logged into your website, it should pass an authentication information to Ecwid on a page with Ecwid widgets: what user to log in and any other additional info.

If Ecwid detects that information and it is valid – the user will be automatically logged into the account your website provided. If that user doesn't exist, Ecwid will create account for them.

After the login, Ecwid will hide any sign in links and behave as if the user is logged into their customer account in the Ecwid storefront.

#### Logged out user

When user is not logged into your website, Ecwid will show sign in links, which can lead to custom URLs – login functionality of your website. Once the login is done, everything works the same as described for logged in users.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecwid.com/api-reference/rest-api/storefront-widget-details/sso-single-sign-on-for-websites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
